<?php

declare(strict_types=1);

namespace System\Contracts;

use PDO;

interface DatabaseInterface
{
    public function connect(): PDO;

    public function getConnection(): PDO;

    public function disconnect(): void;

    public function isConnected(): bool;
}